Simulate stablecoin deposit
curl --request POST \
--url https://api.stabyl.com/v1/simulate/crypto/deposits \
--header 'Content-Type: application/json' \
--data '
{
"amount": "100.5",
"symbol": "USDT",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotency_key": "sim_crypto_dep_001"
}
'import requests
url = "https://api.stabyl.com/v1/simulate/crypto/deposits"
payload = {
"amount": "100.5",
"symbol": "USDT",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotency_key": "sim_crypto_dep_001"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
amount: '100.5',
symbol: 'USDT',
user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
idempotency_key: 'sim_crypto_dep_001'
})
};
fetch('https://api.stabyl.com/v1/simulate/crypto/deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"amount": "100.5",
"id": "0197f1f0-0000-7000-8000-000000000005",
"reference": "SIM-CRYPTO-DEP-001",
"status": "SUCCESS"
},
"status": "success"
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "invalid request parameters"
},
"status": "error"
}{
"error": {
"code": "FORBIDDEN",
"message": "request is not allowed"
},
"status": "error"
}{
"error": {
"code": "NOT_FOUND",
"message": "resource not found"
},
"status": "error"
}Simulation
Simulate stablecoin deposit
Creates a non-production stablecoin deposit record and credits the test account for integration testing. This endpoint is disabled in production and cannot move real funds.
POST
/
simulate
/
crypto
/
deposits
Simulate stablecoin deposit
Body
application/json
Non-production stablecoin deposit event to create for integration testing.
Non-production stablecoin deposit event to create for integration testing.
Was this page helpful?
⌘I